﻿package {
	import flash.display.*;
	import flash.text.*;
	import flash.events.*;
	import flash.net.URLRequest;
	
	public class LoaderCompatto extends Sprite {
		private var theLoader:Loader = new Loader();
		private var urlDaCaricare:String;
		private var waitClip:MovieClip = new WaitAnim();
		private var testoPerc:TextField = new TextField();
		
		public function LoaderCompatto () {
			theLoader.contentLoaderInfo.addEventListener(Event.OPEN,
														 aperturaFile);
			theLoader.contentLoaderInfo.addEventListener(Event.INIT,
														 initFile);
			theLoader.contentLoaderInfo.addEventListener(ProgressEvent.PROGRESS,
														 caricamentoFile);
			theLoader.contentLoaderInfo.addEventListener(Event.COMPLETE,
														 fineCaricamento);
			addChild(theLoader);
			
			waitClip.visible = false;
			waitClip.x = stage.stageWidth/2;
			waitClip.y = stage.stageHeight/2;
			addChild(waitClip);
			
			var ft:TextFormat = new TextFormat("_sans", 9, 0);
			
			testoPerc.autoSize = TextFieldAutoSize.CENTER;
			testoPerc.defaultTextFormat = ft;
			testoPerc.text = "0%";
			testoPerc.x = (stage.stageWidth/2) - (testoPerc.width/2);
			testoPerc.y = (stage.stageHeight/2) - (testoPerc.height/2);
			
			testoPerc.visible = false;
			
			addChild(testoPerc);
			
			urlDaCaricare = "Desert.jpg";
			
			theLoader.load(new URLRequest(urlDaCaricare));
		}
		
		private function aperturaFile (evt:Event) {
			waitClip.visible = true;
			testoPerc.visible = true;
		}
		
		private function initFile (evt:Event) {
		}
		
		private function caricamentoFile (evt:ProgressEvent) {
			testoPerc.text = String(Math.round(evt.bytesLoaded/evt.bytesTotal * 100)) +
							 "%";
		}
		
		private function fineCaricamento (evt:Event) {
			waitClip.visible = false;
			testoPerc.text = "";
			theLoader.x = stage.stageWidth/2 - theLoader.contentLoaderInfo.width/2;
		}
	}
}